Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TextureFrameControllerValue Class Reference

Predefined controller value for getting / setting the frame number of a texture layer. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TextureFrameControllerValue:

[legend]
List of all members.

## Public Methods

| TextureFrameControllerValue (TextureUnitState *t)
Real | getValue (void) const
| Gets the frame number as a parametric value in the range [0,1].
void | setValue (Real value)
| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1).

## Protected Attributes

TextureUnitState * | mTextureLayer

## Detailed Description

Predefined controller value for getting / setting the frame number of a texture layer.

Definition at line 61 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::TextureFrameControllerValue::TextureFrameControllerValue | ( | TextureUnitState * | t | ) |

| Definition at line 79 of file OgrePredefinedControllers.cpp. References mTextureLayer.

## Member Function Documentation

Real Ogre::TextureFrameControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Gets the frame number as a parametric value in the range [0,1]. Implements Ogre::ControllerValue< Real >. Definition at line 84 of file OgrePredefinedControllers.cpp. References Ogre::TextureUnitState::getCurrentFrame(), Ogre::TextureUnitState::getNumFrames(), mTextureLayer, and Ogre::Real.

void Ogre::TextureFrameControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Sets the frame number as a parametric value in the range [0,1]; the actual frame number is value * (numFrames-1). Implements Ogre::ControllerValue< Real >. Definition at line 90 of file OgrePredefinedControllers.cpp. References Ogre::TextureUnitState::getNumFrames(), mTextureLayer, Ogre::Real, and Ogre::TextureUnitState::setCurrentFrame().

## Member Data Documentation

TextureUnitState* Ogre::TextureFrameControllerValue::mTextureLayer`[protected]`

| Definition at line 64 of file OgrePredefinedControllers.h. Referenced by getValue(), setValue(), and TextureFrameControllerValue().

The documentation for this class was generated from the following files:

- OgrePredefinedControllers.h
- OgrePredefinedControllers.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:44 2004